|  | Home · All Classes · Modules

# QMimeSource Class Reference
[QtGui module]

The QMimeSource class is an abstraction of objects that provided formatted data of a certain MIME type. More...

Inherited by QDropEvent.

### Methods

- __init__ (self)
- __init__ (self, QMimeSource other)
- QByteArray encodedData (self, str)
- str format (self, int n = 0)
- bool provides (self, str)

## Detailed Description

The QMimeSource class is an abstraction of objects that provided formatted data of a certain MIME type.

The preferred approach to drag and drop is to use QDrag in conjunction with QMimeData. See Drag and Drop for details.

See also QMimeData and QDrag.

## Method Documentation

### QMimeSource.__init__ (self)

### QMimeSource.__init__ (self, QMimeSource other)

### QByteArray QMimeSource.encodedData (self, str)

This method is abstract and should be reimplemented in any sub-class.

Returns the encoded data of this object in the specified MIME format.

### str QMimeSource.format (self, int n = 0)

This method is abstract and should be reimplemented in any sub-class.

Returns the (i - 1)-th supported MIME format, or 0.

### bool QMimeSource.provides (self, str)

Returns true if the object can provide the data in format mimeType; otherwise returns false.

If you inherit from QMimeSource, for consistency reasons it is better to implement the more abstract canDecode() functions such as QTextDrag.canDecode() and QImageDrag.canDecode().